Bug 198370 - [PATCH] sysutils/condor: Replace deprecated des_ and fix LibreSSL build
Summary: [PATCH] sysutils/condor: Replace deprecated des_ and fix LibreSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-06 20:20 UTC by Bernard Spil
Modified: 2015-04-10 18:16 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jwb)


Attachments
svn diff for sysutils/condor (3.70 KB, patch)
2015-03-06 20:20 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log sysutils/condor (214.78 KB, text/plain)
2015-03-06 20:21 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-06 20:20:40 UTC
Created attachment 153929 [details]
svn diff for sysutils/condor

sysutils/condor uses deprecated des_ methods and types that were marked deprecated by OpenSSL 0.9.7 and will be removed in OpenSSL 1.1.0 . This patch replaces the des_ methods and types with their new DES_ counterparts.

I've mailed the upstream project with the patches.
Comment 1 Bernard Spil freebsd_committer 2015-03-06 20:21:34 UTC
Created attachment 153930 [details]
Poudriere build log sysutils/condor
Comment 2 Jason W. Bacon freebsd_committer 2015-03-07 21:40:42 UTC
Patch approved.
Comment 3 Bernard Spil freebsd_committer 2015-03-29 18:30:07 UTC
Feedback from upstream

    Hi,

    The HTCondor code contains a number of deprecated des_ methods and types
    that have been deprecated since OpenSSL 0.9.7. The attached patches
    contain replacements with the respective DES_ methods and types. The
    des_old.h has been removed from LibreSSL and will be removed from
    OpenSSL with 1.1.0.
    This was discovered during a build of all FreeBSD ports with LibreSSL by
    PC-BSD, see https://wiki.freebsd.org/LibreSSL.


Hi Bernard,

Thank you for your effort and attached patch.  I will be reviewing it and
committing it to our repository if all seems well.

Would you be willing to sign an HTCondor "Contributor License Agreement"?  It
basically states that you own the code but you are giving us a license to use
it in perpetuity.  You can see it here:
  http://research.cs.wisc.edu/htcondor/licenses/CLA-PUBLIC.pdf

If so, please send me a PDF of the signed form.  You'll also be included in
the list of contributers, unless you would prefer otherwise.

Once again, thanks for the patch!


Cheers,
-zach
Comment 4 commit-hook freebsd_committer 2015-04-07 18:05:10 UTC
A commit references this bug:

Author: rene
Date: Tue Apr  7 18:04:57 UTC 2015
New revision: 383528
URL: https://svnweb.freebsd.org/changeset/ports/383528

Log:
  sysutils/condor: replace deprecated des_ and fix LibreSSL build

  The default build is unaffected.

  PR:		198370
  Submitted by:	Bernard Spil
  Approved by:	maintainer (jwbacon@tds.net)

Changes:
  head/sysutils/condor/files/patch-src__condor_includes__condor_crypt_3des.h
  head/sysutils/condor/files/patch-src__condor_io__condor_crypt_3des.cpp